__COPY_FROM_USER(9)

NAME
__copy_from_user_inatomic - Copy a block of data from user space, with less checking.

SYNOPSIS

__always_inline unsigned long __copy_from_user_inatomic (void * to, const void __user * from, unsigned long n);

ARGUMENTS

to  Destination address, in kernel space.

from
    Source address, in user space.

n   Number of bytes to copy.

CONTEXT

User context only. This function may sleep.

DESCRIPTION

Copy data from user space to kernel space. Caller must check the specified block with access_ok before calling this function.

Returns number of bytes that could not be copied. On success, this will be zero.

If some data could not be copied, this function will pad the copied data to the requested size using zero bytes.